package com.xy.service.alipay;

import com.xy.annotate.RestMappingController;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;


/**
 * spi 设备相关
 *
 * @author 谭斌
 * @date 2023/04/16
 */

@RestMappingController("/spi/device")
public interface SpiDeviceService {


    /**
     * 设备告警通知
     * 触发条件：设备发生异常时，货柜云平台也会展示
     * 使用场景：接收设备告警，进行相应业务处理和任务触发
     * notify_type：fault_inform
     *
     * @param params
     * @return
     */
    @RequestMapping(value = "/faultInform/notify", method = {RequestMethod.GET, RequestMethod.POST})
    String deviceAlarmNotify(@RequestParam Map<String, String> params);

    /**
     * 设备状态变更通知
     * 触发条件：设备激活状态或运营状态发生变化时
     * 使用场景：接收设备状态变更，进行相应业务处理和任务触发
     * notify_type：device_status_change
     *
     * @param params
     * @return
     */
    @RequestMapping(value = "/status/change/notify", method = {RequestMethod.GET, RequestMethod.POST})
    String deviceStatusChangeNotify(@RequestParam Map<String, String> params);

}
